<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 06 18:16:02 CEST 2021 -->
<title>Salle</title>
<meta name="date" content="2021-04-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Salle";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Salle.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/Propriete.html" title="class in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/SalleDeDS.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/Salle.html" target="_top">Frames</a></li>
<li><a href="Salle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">back</div>
<h2 title="Class Salle" class="title">Class Salle</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../back/Case.html" title="class in back">back.Case</a></li>
<li>
<ul class="inheritance">
<li><a href="../back/Propriete.html" title="class in back">back.Propriete</a></li>
<li>
<ul class="inheritance">
<li>back.Salle</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Salle</span>
extends <a href="../back/Propriete.html" title="class in back">Propriete</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../back/Salle.html#Salle-java.lang.String-int-java.lang.String-int-int-int-int-int-int-">Salle</a></span>(java.lang.String&nbsp;nom,
     int&nbsp;id,
     java.lang.String&nbsp;couleur,
     int&nbsp;prixAchat,
     int&nbsp;coutMateriel,
     int&nbsp;coutLoyer0,
     int&nbsp;coutLoyer1,
     int&nbsp;coutLoyer2,
     int&nbsp;coutLoyer3)</code>
<div class="block">Constructeur d'une case salle.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#acheter-back.Joueur-">acheter</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Methode d'achat d'une Salle.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#ajouterMateriel--">ajouterMateriel</a></span>()</code>
<div class="block">Ajoute un matériel s'il y a moins de 3 matériels.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#getArgentAmelioration--">getArgentAmelioration</a></span>()</code>
<div class="block">Renvoie l'argent depensé pour l'achat d'un matériel.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#getArgentAmelioration-int-">getArgentAmelioration</a></span>(int&nbsp;nb)</code>
<div class="block">Renvoie l'argent depensé pour l'achat d'un matériel.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#getArgentVente--">getArgentVente</a></span>()</code>
<div class="block">Renvoie l'argent obtenu par la vente d'un matériel, ou de la propriété s'il n'y a pas de matériel.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#getArgentVente-int-">getArgentVente</a></span>(int&nbsp;nb)</code>
<div class="block">Renvoie l'argent obtenu par la vente d'un matériel, ou de la propriété s'il n'y a pas de matériel.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#getCoutLoyer0--">getCoutLoyer0</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#getCoutLoyer1--">getCoutLoyer1</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#getCoutLoyer2--">getCoutLoyer2</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#getCoutLoyer3--">getCoutLoyer3</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#getCoutMateriel--">getCoutMateriel</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#getLoyer-int-">getLoyer</a></span>(int&nbsp;n)</code>
<div class="block">Renvoie le coût du loyer correspondant au nombre de matériels demandé.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#getLoyerSansSup-int-">getLoyerSansSup</a></span>(int&nbsp;n)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#getNbMateriels--">getNbMateriels</a></span>()</code>
<div class="block">Renvoie le nombre de matériels de la salle</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../view/SalleView.html" title="class in view">SalleView</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#getView--">getView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#payerLoyer-back.Joueur-">payerLoyer</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Renvoie le coût du loyer en fonction du nombre de matériels de la salle</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#retirerMateriel--">retirerMateriel</a></span>()</code>
<div class="block">Supprime un matériel s'il y a au moins un matériel.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#setCoutLoyer0-int-">setCoutLoyer0</a></span>(int&nbsp;coutLoyer0)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#setCoutLoyer1-int-">setCoutLoyer1</a></span>(int&nbsp;coutLoyer1)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#setCoutLoyer2-int-">setCoutLoyer2</a></span>(int&nbsp;coutLoyer2)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#setCoutLoyer3-int-">setCoutLoyer3</a></span>(int&nbsp;coutLoyer3)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Salle.html#setProprio-back.Joueur-">setProprio</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;proprio)</code>
<div class="block">Méthode de modification du propriétaire de la propriété.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.back.Propriete">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;back.<a href="../back/Propriete.html" title="class in back">Propriete</a></h3>
<code><a href="../back/Propriete.html#actionCase-back.Joueur-">actionCase</a>, <a href="../back/Propriete.html#estPossedee--">estPossedee</a>, <a href="../back/Propriete.html#getPrixAchat--">getPrixAchat</a>, <a href="../back/Propriete.html#getProprio--">getProprio</a>, <a href="../back/Propriete.html#setPrixAchat-int-">setPrixAchat</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.back.Case">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;back.<a href="../back/Case.html" title="class in back">Case</a></h3>
<code><a href="../back/Case.html#getCouleur--">getCouleur</a>, <a href="../back/Case.html#getFiche--">getFiche</a>, <a href="../back/Case.html#getId--">getId</a>, <a href="../back/Case.html#getNom--">getNom</a>, <a href="../back/Case.html#setCouleur-java.lang.String-">setCouleur</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Salle-java.lang.String-int-java.lang.String-int-int-int-int-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Salle</h4>
<pre>public&nbsp;Salle(java.lang.String&nbsp;nom,
             int&nbsp;id,
             java.lang.String&nbsp;couleur,
             int&nbsp;prixAchat,
             int&nbsp;coutMateriel,
             int&nbsp;coutLoyer0,
             int&nbsp;coutLoyer1,
             int&nbsp;coutLoyer2,
             int&nbsp;coutLoyer3)</pre>
<div class="block">Constructeur d'une case salle.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nom</code> - Le nom de la case en String.</dd>
<dd><code>id</code> - L'identifiant de la case en int.</dd>
<dd><code>couleur</code> - La couleur de la salle en String.</dd>
<dd><code>prixAchat</code> - Le prix d'achat de la propriete en int.</dd>
<dd><code>coutMateriel</code> - Le coût du matériel de la salle en int.</dd>
<dd><code>coutLoyer0</code> - Le coût du loyer de la salle avec 0 matériel.</dd>
<dd><code>coutLoyer1</code> - Le coût du loyer de la salle avec 1 matériels.</dd>
<dd><code>coutLoyer2</code> - Le coût du loyer de la salle avec 2 matériels.</dd>
<dd><code>coutLoyer3</code> - Le coût du loyer de la salle avec 3 matériels.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../back/Propriete.html" title="class in back"><code>Propriete</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getView</h4>
<pre>public&nbsp;<a href="../view/SalleView.html" title="class in view">SalleView</a>&nbsp;getView()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../back/Case.html#getView--">getView</a></code>&nbsp;in class&nbsp;<code><a href="../back/Case.html" title="class in back">Case</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>La vue de la propriété.</dd>
</dl>
</li>
</ul>
<a name="setCoutLoyer0-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCoutLoyer0</h4>
<pre>public&nbsp;void&nbsp;setCoutLoyer0(int&nbsp;coutLoyer0)</pre>
</li>
</ul>
<a name="setCoutLoyer1-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCoutLoyer1</h4>
<pre>public&nbsp;void&nbsp;setCoutLoyer1(int&nbsp;coutLoyer1)</pre>
</li>
</ul>
<a name="setCoutLoyer2-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCoutLoyer2</h4>
<pre>public&nbsp;void&nbsp;setCoutLoyer2(int&nbsp;coutLoyer2)</pre>
</li>
</ul>
<a name="setCoutLoyer3-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCoutLoyer3</h4>
<pre>public&nbsp;void&nbsp;setCoutLoyer3(int&nbsp;coutLoyer3)</pre>
</li>
</ul>
<a name="getCoutLoyer0--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCoutLoyer0</h4>
<pre>public&nbsp;int&nbsp;getCoutLoyer0()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un int correspondant au prix de la salle avec 0 loyer.</dd>
</dl>
</li>
</ul>
<a name="getCoutLoyer1--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCoutLoyer1</h4>
<pre>public&nbsp;int&nbsp;getCoutLoyer1()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un int correspondant au prix de la salle avec 1 loyer.</dd>
</dl>
</li>
</ul>
<a name="getCoutLoyer2--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCoutLoyer2</h4>
<pre>public&nbsp;int&nbsp;getCoutLoyer2()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un int correspondant au prix de la salle avec 2 loyers.</dd>
</dl>
</li>
</ul>
<a name="getCoutLoyer3--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCoutLoyer3</h4>
<pre>public&nbsp;int&nbsp;getCoutLoyer3()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un int correspondant au prix de la salle avec 3 loyers.</dd>
</dl>
</li>
</ul>
<a name="getCoutMateriel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCoutMateriel</h4>
<pre>public&nbsp;int&nbsp;getCoutMateriel()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un int correspondant au prix de l'achat d'un matériel.</dd>
</dl>
</li>
</ul>
<a name="setProprio-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProprio</h4>
<pre>public&nbsp;void&nbsp;setProprio(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;proprio)</pre>
<div class="block">Méthode de modification du propriétaire de la propriété.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../back/Propriete.html#setProprio-back.Joueur-">setProprio</a></code>&nbsp;in class&nbsp;<code><a href="../back/Propriete.html" title="class in back">Propriete</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>proprio</code> - Le nouveau propriétaire de la propriete.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../back/Joueur.html" title="class in back"><code>Joueur</code></a></dd>
</dl>
</li>
</ul>
<a name="ajouterMateriel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ajouterMateriel</h4>
<pre>public&nbsp;void&nbsp;ajouterMateriel()</pre>
<div class="block">Ajoute un matériel s'il y a moins de 3 matériels.</div>
</li>
</ul>
<a name="retirerMateriel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>retirerMateriel</h4>
<pre>public&nbsp;void&nbsp;retirerMateriel()</pre>
<div class="block">Supprime un matériel s'il y a au moins un matériel.</div>
</li>
</ul>
<a name="getNbMateriels--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbMateriels</h4>
<pre>public&nbsp;int&nbsp;getNbMateriels()</pre>
<div class="block">Renvoie le nombre de matériels de la salle</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Nombre de matèeriels</dd>
</dl>
</li>
</ul>
<a name="getLoyer-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLoyer</h4>
<pre>public&nbsp;int&nbsp;getLoyer(int&nbsp;n)</pre>
<div class="block">Renvoie le coût du loyer correspondant au nombre de matériels demandé. Renvoie le prix d'achat si le nombre de matériels passé en paramètre n'est pas compris entre 0 et 3 inclus.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../back/Propriete.html#getLoyer-int-">getLoyer</a></code>&nbsp;in class&nbsp;<code><a href="../back/Propriete.html" title="class in back">Propriete</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>n</code> - Nombre de matériels</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Loyer correspondant</dd>
</dl>
</li>
</ul>
<a name="getLoyerSansSup-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLoyerSansSup</h4>
<pre>public&nbsp;int&nbsp;getLoyerSansSup(int&nbsp;n)</pre>
</li>
</ul>
<a name="getArgentVente--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgentVente</h4>
<pre>public&nbsp;int&nbsp;getArgentVente()</pre>
<div class="block">Renvoie l'argent obtenu par la vente d'un matériel, ou de la propriété s'il n'y a pas de matériel.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Prix de vente</dd>
</dl>
</li>
</ul>
<a name="getArgentVente-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgentVente</h4>
<pre>public&nbsp;int&nbsp;getArgentVente(int&nbsp;nb)</pre>
<div class="block">Renvoie l'argent obtenu par la vente d'un matériel, ou de la propriété s'il n'y a pas de matériel.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nb</code> - Nombre de matériels</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Prix de vente</dd>
</dl>
</li>
</ul>
<a name="getArgentAmelioration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgentAmelioration</h4>
<pre>public&nbsp;int&nbsp;getArgentAmelioration()</pre>
<div class="block">Renvoie l'argent depensé pour l'achat d'un matériel.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Prix d'achat</dd>
</dl>
</li>
</ul>
<a name="getArgentAmelioration-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgentAmelioration</h4>
<pre>public&nbsp;int&nbsp;getArgentAmelioration(int&nbsp;nb)</pre>
<div class="block">Renvoie l'argent depensé pour l'achat d'un matériel.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nb</code> - Nombre de matériels</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Prix d'achat</dd>
</dl>
</li>
</ul>
<a name="acheter-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>acheter</h4>
<pre>public&nbsp;void&nbsp;acheter(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
<div class="block">Methode d'achat d'une Salle.
 Changement de propriétaire via la super classe.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../back/Propriete.html#acheter-back.Joueur-">acheter</a></code>&nbsp;in class&nbsp;<code><a href="../back/Propriete.html" title="class in back">Propriete</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>j</code> - Le joueur qui achéte la propriété.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../back/Propriete.html" title="class in back"><code>Propriete</code></a></dd>
</dl>
</li>
</ul>
<a name="payerLoyer-back.Joueur-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>payerLoyer</h4>
<pre>public&nbsp;void&nbsp;payerLoyer(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
<div class="block">Renvoie le coût du loyer en fonction du nombre de matériels de la salle</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../back/Propriete.html#payerLoyer-back.Joueur-">payerLoyer</a></code>&nbsp;in class&nbsp;<code><a href="../back/Propriete.html" title="class in back">Propriete</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>j</code> - Joueur qui paye</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../back/Joueur.html" title="class in back"><code>Joueur</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Salle.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/Propriete.html" title="class in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/SalleDeDS.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/Salle.html" target="_top">Frames</a></li>
<li><a href="Salle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
